Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections
Summary: Reformat acquisitions sidebar menu with acquisitions and administration sections
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 5784
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-23 15:45 UTC by Owen Leonard
Modified: 2017-02-19 20:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of the proposed change (22.21 KB, image/png)
2017-01-23 15:45 UTC, Owen Leonard
Details
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections (4.07 KB, patch)
2017-01-23 16:17 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections (4.14 KB, patch)
2017-01-23 22:36 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections (4.19 KB, patch)
2017-01-26 10:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections (4.20 KB, patch)
2017-02-16 10:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-01-23 15:45:51 UTC
Created attachment 59430 [details]
Screenshot of the proposed change

Inspired by the discussion on Bug 5784 I propose reformatting the acquisitions sidebar menu so that /acqui link are in one section and /admin links are in another, with added links to the respective home pages.
Comment 1 Owen Leonard 2017-01-23 16:17:22 UTC
Created attachment 59435 [details] [review]
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections

This patch makes changes to acquisitions-menu.inc so that the style
matches that of the Administration and Tools sidebar menus. The links
are now divided up between Acquisitions (/acqui/) and Administration
(/admin/). The link-highlighting JavaScript used elsewhere has been
added.

To test, apply the patch and view the Acquisitions home page.

- Check that the "Acquisitions home" link is highlighted (bold).
- Test the other Acquisitions links to confirm that highlighting works.
- Click any link in the Administration section of the sidebar menu.
- Confirm that everything looks correct and works correctly.
Comment 2 Aleisha Amohia 2017-01-23 22:36:24 UTC
Created attachment 59471 [details] [review]
[SIGNED-OFF] Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections

This patch makes changes to acquisitions-menu.inc so that the style
matches that of the Administration and Tools sidebar menus. The links
are now divided up between Acquisitions (/acqui/) and Administration
(/admin/). The link-highlighting JavaScript used elsewhere has been
added.

To test, apply the patch and view the Acquisitions home page.

- Check that the "Acquisitions home" link is highlighted (bold).
- Test the other Acquisitions links to confirm that highlighting works.
- Click any link in the Administration section of the sidebar menu.
- Confirm that everything looks correct and works correctly.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 3 Jonathan Druart 2017-01-26 10:22:11 UTC
Created attachment 59569 [details] [review]
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections

This patch makes changes to acquisitions-menu.inc so that the style
matches that of the Administration and Tools sidebar menus. The links
are now divided up between Acquisitions (/acqui/) and Administration
(/admin/). The link-highlighting JavaScript used elsewhere has been
added.

To test, apply the patch and view the Acquisitions home page.

- Check that the "Acquisitions home" link is highlighted (bold).
- Test the other Acquisitions links to confirm that highlighting works.
- Click any link in the Administration section of the sidebar menu.
- Confirm that everything looks correct and works correctly.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-16 10:46:39 UTC
Created attachment 60318 [details] [review]
Bug 17972 - Reformat acquisitions sidebar menu with acquisitions and administration sections

This patch makes changes to acquisitions-menu.inc so that the style
matches that of the Administration and Tools sidebar menus. The links
are now divided up between Acquisitions (/acqui/) and Administration
(/admin/). The link-highlighting JavaScript used elsewhere has been
added.

To test, apply the patch and view the Acquisitions home page.

- Check that the "Acquisitions home" link is highlighted (bold).
- Test the other Acquisitions links to confirm that highlighting works.
- Click any link in the Administration section of the sidebar menu.
- Confirm that everything looks correct and works correctly.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-02-17 12:11:09 UTC
Pushed to master for 17.05, thanks Owen!
Comment 6 Katrin Fischer 2017-02-19 20:22:08 UTC
Love it, but...

This won't get ported back to 16.11.x as it is an enhancement.